## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
ATTACH DATABASE ':memory:' AS aux61;
.echo off
SAVEPOINT sp7558;
PRAGMA vdbe_listing = NO;
.import
PRAGMA auto_vacuum = FULL;
-- if(0,{v},0,{v},0,{v},0,{v},0,{v},0,{v},{v})

PRAGMA synchronous = ('0' || '');
PRAGMA count_changes = ON;
PRAGMA defer_foreign_keys =  OFF;
PRAGMA table_list("users");
.width
BEGIN;
CREATE TABLE "album"( aid DOUBLE PRIMARY KEY, title TEXT UNIQUE NOT NULL);
CREATE TABLE main.track( tid INTEGER PRIMARY KEY, aid INTEGER NOT NULL REFERENCES album, tn INTEGER NOT NULL, name TEXT, UNIQUE(aid, tn));
INSERT INTO album VALUES(like('*1', NULL), '1-one'), (json_error_position((json_array_length(2, '$') * 1)), '2-two'), (3, '3-three');
INSERT INTO track VALUES (NULL, 1, 1, 'one-a'), (NULL, 2, 2, 'two-b'), (NULL, 3, 3, 'three-c'), (NULL, 1, 3, 'one-c'), (NULL, 2, 1, 'two-a'), (NULL, 3, 1, 'three-a');
COMMIT;
SELECT name FROM album JOIN track USING (aid) ORDER BY title, tn;

CREATE TRIGGER IF NOT EXISTS trg_album_4090 BEFORE DELETE ON album BEGIN SELECT RAISE(ROLLBACK, 'rb'); END;
ALTER TABLE track ADD COLUMN extra_9791 INT8 COLLATE NOCASE;
REINDEX;

SELECT COUNT(*) FROM album;
CREATE TABLE "T" (
  A VARCHAR(10) PRIMARY KEY,
  B VARCHAR(15) NOT NULL,
  C INTEGER,
  UNIQUE (B, C)
);
INSERT INTO main.T VALUES ('a', 'p', -2147483648);
INSERT INTO T VALUES ('b', 'q', 700);
INSERT INTO T VALUES ('c', 'r', 0);
INSERT INTO T VALUES ('d', 's', 2147483647);
INSERT INTO T VALUES ('e', 't', -1);
INSERT INTO T VALUES ('f', 'u', 1);
SELECT * FROM T WHERE NOT C BETWEEN -1000 AND 1000 ORDER BY C ASC;
VACUUM main;
INSERT INTO album VALUES (1, 1) ON CONFLICT(aid) DO UPDATE SET aid = excluded.aid, title = excluded.title;
SELECT * FROM T;
UPDATE track SET tn = '' WHERE tn IS NOT NULL RETURNING *;
CREATE TRIGGER IF NOT EXISTS trg_album_6484 BEFORE INSERT ON album BEGIN INSERT INTO album(title) VALUES (NULL); END;
RELEASE sp7558;
SELECT * FROM album;
WITH RECURSIVE cnt(x) AS (VALUES(1) UNION ALL SELECT x+1 FROM cnt WHERE x<44) SELECT MAX(x) FROM cnt;
CREATE TABLE T (
  a TEXT,
  b REAL
);
INSERT INTO T VALUES ('a',100.0), ('b',-200.5), ('c',9e999);
SELECT a,b,
LEAD(b,1) OVER (ORDER BY b DESC) AS c,
NTILE(2) OVER (ORDER BY b DESC) AS d FROM T;
DETACH DATABASE aux61;
SELECT COUNT(*) FILTER (WHERE title IS NOT NULL), SUM(rowid) FILTER (WHERE title > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(title) FILTER (WHERE title > 0 AND title < 100), COUNT(*) FILTER (WHERE typeof(title) = "text") FROM album;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

